#include <stdio.h>
#include <stdlib.h>
#include <fcntl.h>
#include <linux/dvb/ca.h>
#include <sys/ioctl.h>

int main(int argc, char *argv[]) {
  int j = 0, ret;
  ca_descr_t ca_desc;
  ca_pid_t ca_pid;
  ca_desc.index = 1;
  ca_desc.parity = 1;
  ca_pid.pid = 1024;
  ca_pid.index = 0;


  char str[256];
  int devnum = 0;
  if (argc > 1) {
    devnum = atoi(argv[1]);
  }
  sprintf(str, "/proc/dvb/adapter%d/ca0", devnum);

  int fh = open(str, O_RDWR|O_NONBLOCK);
  if (fh < 0) {
    printf("Open failed!\n");
    return 1;
  }
  for (j=0; j < 2; j++) {
  ret = ioctl(fh, CA_SET_DESCR, &ca_desc);
  if (ret < 0) {
    printf("Failed to send ioctl 1\n");
  }
  ret = ioctl(fh, CA_SET_DESCR, &ca_desc);
  if (ret < 0) {
    printf("Failed to send ioctl 2\n");
  }
  ret = ioctl(fh, CA_SET_PID, &ca_pid);
  if (ret < 0) {
    printf("Failed to send ioctl 3\n");
  }
  }
  close(fh);
}

