#include <stdlib.h>
#include <stdio.h>
#include <dirent.h>
#include <string.h>
#include <unistd.h>

#include <sys/types.h>
#include <sys/stat.h>

int main(int argc, char *argv[] ) {
  char outdir[256], dvbdir[256], tmp[256];
  int adapter;
  DIR *DH;
  struct dirent *dirent;

  adapter = atoi(argv[1]);
  printf("Using Adapter %d.  Pid: %d\n", adapter, getpid());
  strcpy (outdir, ".");
  sprintf(dvbdir, "/dev/dvb/adapter%d", adapter);

  //create /dev/dvb/adapter0
  chdir(outdir);
  system("mkdir -p dev/dvb/adapter0");
  chown("dev", getuid(), getgid());
  chown("dev/dvb", getuid(), getgid());
  chown("dev/dvb/adapter0", getuid(), getgid());

  DH = opendir(dvbdir);
  while (dirent = readdir(DH)) {
    char *name = dirent->d_name;
    if (name[strlen(name)-1] == '0') {
      struct stat filestat;
      sprintf(tmp, "%s/%s", dvbdir, name);
      if (stat(tmp, &filestat) != 0)
        continue;
      sprintf(tmp, "dev/dvb/adapter0/%s", name);
      mknod(tmp, S_IFCHR, filestat.st_rdev);
      printf("%s : %d : %d\n", tmp, major(filestat.st_rdev), minor(filestat.st_rdev));

      chown(tmp, getuid(), getgid());
      chmod(tmp, S_IRUSR | S_IWUSR | S_IRGRP | S_IWGRP);
    }
  }
  closedir(DH);
  if(chroot(outdir) != 0)
	perror("");
  chdir("/");
  setuid(getuid());
  printf("UserID: %d %d\n", getuid(), geteuid());
  execl("/evocamd", NULL);
}
