#!/usr/bin/perl -w

# This script has been written by teknee.
# You can reach me at teknee@yahoo.com or on DVBN

# This script converts a channels.conf from VDR (tested with
# version 1.2.6) and create the SQL statements to
# have working dvb_pids, dvb_channel tables.
# It has been test for BEV

$chanidoffset = 1000;
$satid        = 2;
$count        = 1;

%mplex=();
print "DELETE FROM dtv_multiplex WHERE sourceid=$satid;\n";
if(1) {
  print "DELETE FROM channel WHERE sourceid=$satid;\n";
}
while (<STDIN>) {
  chomp;
  if (/.+:/) {
    @F = split(/:/);
    $channame = $F[0];
    $channame=~s/'/\\'/;
    $freq = $F[1];
    $pol  = $F[2];
    $srate = $F[4];
    $vpid = $F[5];
    $apid = $F[6];
    $sid = $F[9];
    $nid = $F[10];
    $tid = $F[11];

    $chanid = $sid+$chanidoffset;
    $freq *= 1000;
    $srate *= 1000;
    $pol = lc($pol);
    $pol="l" if($pol eq "h");
    $pol="r" if($pol eq "v");
    if(! defined $mplex{"$freq:$tid"}) {
        $mplex{"$freq:$tid"}=$count;
       print "INSERT INTO dtv_multiplex SET mplexid=$count, sourceid=$satid, transportid=$tid, networkid=$nid, frequency=$freq, symbolrate=$srate, fec='5/6', polarity='$pol', modulation='qpsk', serviceversion=-1;\n";
       $count++;
    }
    $mplexid=$mplex{"$freq:$tid"};
    # name channels by their BEV name
    if (1) {
      print "INSERT INTO channel SET chanid=$chanid, channum=$sid, sourceid=$satid, callsign='$channame', name='$channame', mplexid=$mplexid, serviceid=$sid, atscsrcid=0;\n";
    }
  }
}
